Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## i2p.susi.webmail.smtp
Class SMTPClient

    java.lang.Object
      i2p.susi.webmail.smtp.SMTPClient

    public class SMTPClient

extends Object

Author:
  susi

Field Summary
`(package private) byte[]` | `buffer`
`String` | `error`
`(package private) String` | `lastResponse`
`(package private) Socket` | `socket`

Constructor Summary
`SMTPClient()`

Method Summary
`int` | `sendCmd(String cmd)`
`boolean` | `sendMail(String host, int port, String user, String pass, String sender, Object[] recipients, String body)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    Socket socket

### buffer

    byte[] buffer

### error

    public String error

### lastResponse

    String lastResponse

Constructor Detail

### SMTPClient

    public SMTPClient()

Method Detail

### sendCmd

    public int sendCmd(String cmd)

### sendMail

    public boolean sendMail(String host,
                            int port,
                            String user,
                            String pass,
                            String sender,
                            Object[] recipients,
                            String body)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD